package tcc.haruki.domain.xtr;

import java.math.BigInteger;

import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;

import tcc.haruki.exceptions.XTRInvalidParametersException;

public class XTRParametersTest {
	
	@Before
	public void setup() {
		
	}
	
	@Test
	public void makeParametersTest() throws XTRInvalidParametersException {
		XTRParameters params = XTRParameters.makeParametersWith(new BigInteger("179"), new BigInteger("43"));
		Assert.assertEquals(true, params.isValid());
	}
	
	@Test(expected=XTRInvalidParametersException.class)
	public void makeParametersExceptionTest() throws Exception {
		XTRParameters params = XTRParameters.makeParametersWith(new BigInteger("100"), new BigInteger("43"));
	}
	
	@Test
	public void generateParametersTest() {
		XTRParameters params = XTRParameters.generateParameters();
		Assert.assertEquals(true, params.isValid());
	}
}
